gnutls_key_generate(3)

NAME
gnutls_key_generate - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_key_generate(gnutls_datum_t * key, unsigned int key_size);

ARGUMENTS

gnutls_datum_t * key
    is a pointer to a gnutls_datum_t which will contain a newly created key

unsigned int key_size
    the number of bytes of the key

DESCRIPTION
Generates a random key of key_size bytes.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, or an error code.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/